import { Context } from "../core/context";
export declare abstract class WebServer {
    private _context;
    context: Context;
    private config;
    abstract execute(): void;
    initialize(): void;
    private initializeConfiguration();
    private registerAdapters();
    private registerAdapter(typeOfAdapter, name?);
    private registerControllers();
    private resolveModules(pathFragment);
    private resolveAbsolutePath(path, filename);
    private initializeContext();
    private initializeRoutes();
}
