import { RouteArea } from "../router/metadata";
import { RouteHandler } from "../router/handler";
import { IRouter } from "../core/interfaces";
export declare class RouteRegistrar {
    routeAreas: Array<RouteArea>;
    pathsResolved: boolean;
    private router;
    constructor(router: IRouter);
    addRouteArea(target: any): RouteArea;
    addRouteHandler(target: Function, methodName: string): RouteHandler;
    registerRoutes(): void;
    private buildRoute(routeArea, routeHandler);
    private resolveProperties(routeArea, routeHandler);
    private resolvePath(routeArea, routeHandler);
}
