export declare abstract class IAdapter {
    name: string;
}
export declare abstract class ILogger {
    abstract log(message?: any, ...optionalParams: any[]): void;
}
import * as http from "http";
import { HttpVerb } from "../router/enums";
export declare abstract class IRouter {
    abstract addRequestHandler(name: string, handler: any): void;
    abstract register(httpVerb: HttpVerb, path: string, handler: any): any;
}
export declare abstract class IFramework {
    router: IRouter;
    abstract startWebServer(port: number, hostname: string, callback?: Function): http.Server;
}
